Subject: [saag] SAAG TLS working group report

From: Joseph Salowey <[email-masked]>
Date: Thu, 20 Jul 2017 10:54:18 +0200

TLS met on Monday afternoon and Wednesday morning.  For TLS 1.3, the
document has completed second working group last call.  There are ongoing
measurements to resolve the last open issue which we believe should
complete in 1-2 months.  Work on DTLS is going well and we expect it to go
to the IESG later this year.  DNSSEC chain validation and exported
authenticators work is nearing completion.   The group examined various
options for SNI encryption and decided to take it on as a working group
item.   We had presentations on the pros and cons of a  proposed mechanism
to decrypt TLS messages within the data center.   A hum indicated that
there was roughly equal support on both sides.  Therefore, well will
continue the discussion and it is unlikely that the draft will proceed in
its current form.